Skip to content

Set User Favorite

Mark or unmark a user as a favorite for the current user. Accessible to the user themselves (via isMe) or users with ADMIN or MANAGE_PEOPLE permissions.

Parameters

name * are required parametersdata typedescription
userId*stringThe unique identifier of the user to favorite
body.favorite*booleantrue to add to favorites, false to remove

Return Value

json
{
  "statusCode": 201,
  "data": true,
  "message": "Successfully updated favorite status"
}

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when the caller is not the user and lacks sufficient permissions.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/user/:userId/favorite" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"favorite": true}'

ENDPOINTS

post/api/{targetPath}/user/:userId/favorite